osgAnimation::TemplateKeyframeContainer< T > Class Template Reference

`#include <Keyframe>`

Inheritance diagram for osgAnimation::TemplateKeyframeContainer< T >:

## Public Types

typedef TemplateKeyframe< T > | KeyType
typedef osg::MixinVector< TemplateKeyframe< T > > | VectorType
Public Types inherited from osg::MixinVector< TemplateKeyframe< T > >
typedef vector_type::allocator_type | allocator_type
typedef vector_type::value_type | value_type
typedef vector_type::const_pointer | const_pointer
typedef vector_type::pointer | pointer
typedef vector_type::const_reference | const_reference
typedef vector_type::reference | reference
typedef vector_type::const_iterator | const_iterator
typedef vector_type::iterator | iterator
typedef vector_type::const_reverse_iterator | const_reverse_iterator
typedef vector_type::reverse_iterator | reverse_iterator
typedef vector_type::size_type | size_type
typedef vector_type::difference_type | difference_type

## Public Member Functions

| TemplateKeyframeContainer ()
virtual unsigned int | size () const
virtual unsigned int | linearInterpolationDeduplicate ()
Public Member Functions inherited from osg::MixinVector< TemplateKeyframe< T > >
| MixinVector ()
| MixinVector (size_type initial_size, const value_type &fill_value=value_type())
| MixinVector (InputIterator first, InputIterator last)
| MixinVector (const vector_type &other)
| MixinVector (const MixinVector &other)
MixinVector & | operator= (const vector_type &other)
MixinVector & | operator= (const MixinVector &other)
virtual | ~MixinVector ()
void | clear ()
void | resize (size_type new_size, const value_type &fill_value=value_type())
void | reserve (size_type new_capacity)
void | swap (vector_type &other)
void | swap (MixinVector &other)
bool | empty () const
size_type | size () const
size_type | capacity () const
size_type | max_size () const
allocator_type | get_allocator () const
const_iterator | begin () const
iterator | begin ()
const_iterator | end () const
iterator | end ()
const_reverse_iterator | rbegin () const
reverse_iterator | rbegin ()
const_reverse_iterator | rend () const
reverse_iterator | rend ()
const_reference | operator[] (size_type index) const
reference | operator[] (size_type index)
const_reference | at (size_type index) const
reference | at (size_type index)
void | assign (size_type count, const value_type &value)
void | assign (Iter first, Iter last)
void | push_back (const value_type &value)
void | pop_back ()
iterator | erase (iterator where)
iterator | erase (iterator first, iterator last)
iterator | insert (iterator where, const value_type &value)
void | insert (iterator where, InputIterator first, InputIterator last)
void | insert (iterator where, size_type count, const value_type &value)
const_reference | back () const
reference | back ()
const_reference | front () const
reference | front ()
vector_type & | asVector ()
const vector_type & | asVector () const
Public Member Functions inherited from osgAnimation::KeyframeContainer
| KeyframeContainer ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osgAnimation::KeyframeContainer
| ~KeyframeContainer ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osgAnimation::KeyframeContainer
std::string | _name
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## KeyType

template<class T>

typedef TemplateKeyframe<T> osgAnimation::TemplateKeyframeContainer< T >::KeyType

## VectorType

template<class T>

typedef osg::MixinVector< TemplateKeyframe<T> > osgAnimation::TemplateKeyframeContainer< T >::VectorType

## Constructor & Destructor Documentation

## TemplateKeyframeContainer()

template<class T>

osgAnimation::TemplateKeyframeContainer< T >::TemplateKeyframeContainer | ( |  | ) |

inline

## Member Function Documentation

## linearInterpolationDeduplicate()

template<class T>

virtual unsigned int osgAnimation::TemplateKeyframeContainer< T >::linearInterpolationDeduplicate | ( |  | ) |

inline virtual

Implements osgAnimation::KeyframeContainer.

## size()

template<class T>

virtual unsigned int osgAnimation::TemplateKeyframeContainer< T >::size | ( |  | ) | const

inline virtual

Implements osgAnimation::KeyframeContainer.

Referenced by osgAnimation::TemplateInterpolatorBase< TYPE, KEY >::getKeyIndexFromTime(), osgAnimation::TemplateKeyframeContainer< typename SamplerType::KeyframeType >::linearInterpolationDeduplicate(), and osgAnimation::TemplateKeyframeContainer< typename SamplerType::KeyframeType >::size().

The documentation for this class was generated from the following file:

- Keyframe